gtk-sharp GLib.Object Print job class. Represents a job sent to a printer. Direct use of this class is only necessary when using the non-portable API. The property accesses the cairo surface onto which the pages should be drawn. When finished drawing, call to send the job to the printer.
- Constructor
  Native object pointer.
  Internal constructor
  This is not typically used by C# code. Exposed primarily for use by language bindings to wrap native object instances.
- Constructor
  Job title.
  Printer target.
  Print settings.
  Page setup.
  Public constructor.
  Instantiates a print job.
- Property
  System.Boolean To be added. To be added. To be added.
- Method
  Gtk.PageRange `` To be added. To be added. To be added. To be added.
- Method
  Cairo.Surface To be added. To be added. To be added.
- Property
  GLib.GType GType Property. The native value. Returns the native value for .
- Property
  System.Int32 To be added. To be added. To be added.
- Property
  System.UInt32 To be added. To be added. To be added.
- Property
  Gtk.NumberUpLayout To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideStatusChanged", Type=typeof(Gtk.PrintJob))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Property
  Gtk.PrintPages To be added. To be added. To be added.
- Property
  Gtk.PageSet To be added. To be added. To be added.
- Property
  GLib.Property("page-setup")
  Gtk.PageSetup PageSetup property. A .
- Property
  GLib.Property("printer")
  Gtk.Printer Printer property. A . The printer associated with the job.
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  System.Boolean To be added. To be added. To be added.
- Property
  System.Double To be added. To be added. To be added.
- Method
  System.Void `` Completion callback delegate. Sends a job to a printer. When sending is complete, is invoked.
- Method
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  System.Boolean `` Print source file. SetSourceFile method. If , an error occurred. Causes the print job to send an existing source document to the printer. Typically the file is in Postscript format, but on some platforms PDF may also be supported.
- Property
  GLib.Property("settings")
  Gtk.PrintSettings Settings property. The for the job.
- Property
  Gtk.PrintStatus Status property. a . Indicates the current print status of the job.
- Event
  GLib.Signal("status-changed")
  System.EventHandler StatusChanged event. Reports changes in print status. Only raised if is . Use to obtain the current status.
- Property
  GLib.Property("title")
  System.String Title property. The job title string, or if untitled.
- Property
  GLib.Property("track-print-status")
  System.Boolean TrackPrintStatus property. If , the job raises events to report status. Indicates if the job will raise events to report print progress.